Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math.fraction
Class FractionField.LazyHolder

    java.lang.Object
      org.apache.commons.math.fraction.FractionField.LazyHolder

Enclosing class:
  FractionField

    private static class FractionField.LazyHolder

extends Object

Holder for the instance.

We use here the Initialization On Demand Holder Idiom.

Field Summary
`private static FractionField` | `INSTANCE` Cached field instance.

Constructor Summary
`private` | `FractionField.LazyHolder()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    private static final FractionField INSTANCE

  Cached field instance.

Constructor Detail

### FractionField.LazyHolder

    private FractionField.LazyHolder()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2003-2013 Apache Software Foundation